Moved ios-static library downloading logic out into its own script so graphical Xcode can run it
#!/bin/sh
-IOS_LIB_URL="http://ios-static-libraries.googlecode.com/files/ios-libraries-2011-03-10-065803.zip"
-IOS_LIB_FILE="ios-libraries-2011-03-10-065803.zip"
-
-if [ ! -d "Binaries" ]; then
- wget ${IOS_LIB_URL} > /dev/null
- if [ ! -e ${IOS_LIB_FILE} ]; then
- echo "FAILED TO DOWNLOAD IOS LIBRARIES. CANNOT CONTINUE."
- exit 1
- fi
- unzip ${IOS_LIB_FILE} > /dev/null
- if [ $? -ne 0 ]; then
- echo "Unzip failed. CANNOT CONTINUE."
- exit 1
- fi
-fi
-
+sh get_libs.sh
+if [ $? -ne 0 ]; then exit 1; fi;
echo "Building iOS library (armv6)..."
xcodebuild ARCHS="armv6" -project simplepgp.xcodeproj -alltargets \
+#!/bin/sh
+
+IOS_LIB_URL="http://ios-static-libraries.googlecode.com/files/ios-libraries-2011-03-10-065803.zip"
+IOS_LIB_FILE="ios-libraries-2011-03-10-065803.zip"
+
+if [ ! -d "Binaries" ]; then
+ if [ ! -e ${IOS_LIB_FILE} ]; then
+ wget ${IOS_LIB_URL} > /dev/null
+ fi
+ if [ ! -e ${IOS_LIB_FILE} ]; then
+ echo "FAILED TO DOWNLOAD IOS LIBRARIES. CANNOT CONTINUE."
+ exit 1
+ fi
+ unzip ${IOS_LIB_FILE} > /dev/null
+ if [ $? -ne 0 ]; then
+ echo "Unzip failed. CANNOT CONTINUE."
+ exit 1
+ fi
+fi
+exit 0
\ No newline at end of file
isa = PBXNativeTarget;
buildConfigurationList = 1DEB921E08733DC00010E9CD /* Build configuration list for PBXNativeTarget "simplepgp" */;
buildPhases = (
+ 6926B15A146F611300F69705 /* ShellScript */,
D2AAC07A0554694100DB518D /* Headers */,
D2AAC07B0554694100DB518D /* Sources */,
D2AAC07C0554694100DB518D /* Frameworks */,
};
/* End PBXProject section */
+/* Begin PBXShellScriptBuildPhase section */
+ 6926B15A146F611300F69705 /* ShellScript */ = {
+ isa = PBXShellScriptBuildPhase;
+ buildActionMask = 2147483647;
+ files = (
+ );
+ inputPaths = (
+ );
+ outputPaths = (
+ );
+ runOnlyForDeploymentPostprocessing = 0;
+ shellPath = /bin/sh;
+ shellScript = "./get_libs.sh\n";
+ };
+/* End PBXShellScriptBuildPhase section */
+
/* Begin PBXSourcesBuildPhase section */
D2AAC07B0554694100DB518D /* Sources */ = {
isa = PBXSourcesBuildPhase;
<string>0867D69AFE84028FC02AAC07</string>
<string>1C37FBAC04509CD000000102</string>
<string>6926B08A146F4B6600F69705</string>
- <string>6926B08B146F4B6600F69705</string>
- <string>6926B08C146F4B6600F69705</string>
- <string>6926B08D146F4B6600F69705</string>
<string>1C37FABC05509CD000000102</string>
</array>
<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
<array>
<array>
- <integer>7</integer>
- <integer>0</integer>
+ <integer>27</integer>
+ <integer>26</integer>
+ <integer>25</integer>
</array>
</array>
<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
<key>_historyCapacity</key>
<integer>0</integer>
<key>bookmark</key>
- <string>6926B14F146F5EB300F69705</string>
+ <string>6926B15C146F617D00F69705</string>
<key>history</key>
<array>
<string>69868BD91460F468004C5D9B</string>
6926B13C146F5E5F00F69705 /* PBXTextBookmark */ = 6926B13C146F5E5F00F69705 /* PBXTextBookmark */;
6926B13F146F5E7F00F69705 /* PBXTextBookmark */ = 6926B13F146F5E7F00F69705 /* PBXTextBookmark */;
6926B14F146F5EB300F69705 /* PBXTextBookmark */ = 6926B14F146F5EB300F69705 /* PBXTextBookmark */;
+ 6926B15B146F612C00F69705 /* PBXTextBookmark */ = 6926B15B146F612C00F69705 /* PBXTextBookmark */;
+ 6926B15C146F617D00F69705 /* PBXTextBookmark */ = 6926B15C146F617D00F69705 /* PBXTextBookmark */;
69868BD11460F42D004C5D9B = 69868BD11460F42D004C5D9B /* PBXTextBookmark */;
69868BD91460F468004C5D9B = 69868BD91460F468004C5D9B /* PBXTextBookmark */;
69868C931460F7C3004C5D9B = 69868C931460F7C3004C5D9B /* PBXTextBookmark */;
vrLen = 1231;
vrLoc = 0;
};
+ 6926B15B146F612C00F69705 /* PBXTextBookmark */ = {
+ isa = PBXTextBookmark;
+ fRef = 6926AD00146DC9BD00F69705 /* packet_private.h */;
+ name = "packet_private.h: 14";
+ rLen = 0;
+ rLoc = 361;
+ rType = 0;
+ vrLen = 1231;
+ vrLoc = 0;
+ };
+ 6926B15C146F617D00F69705 /* PBXTextBookmark */ = {
+ isa = PBXTextBookmark;
+ fRef = 6926AD00146DC9BD00F69705 /* packet_private.h */;
+ name = "packet_private.h: 14";
+ rLen = 0;
+ rLoc = 361;
+ rType = 0;
+ vrLen = 1231;
+ vrLoc = 0;
+ };
69868AD41460E35F004C5D9B /* Source Control */ = {
isa = PBXSourceControlManager;
fallbackIsa = XCSourceControlManager;